## switchconf 0.0.2-9

=== Makefile ===
BINDIR=$(DESTDIR)/usr/sbin
ETCDIR=$(DESTDIR)/etc/switchconf
MANDIR=$(DESTDIR)/usr/share/man/man8
LOGROTATEDIR=$(DESTDIR)/etc/logrotate.d

all:

install:
	[ -d $(MANDIR) ] || mkdir -p $(MANDIR)
	cp switchconf.8 $(MANDIR)
	[ -d $(ETCDIR) ] || mkdir -p $(ETCDIR)
	[ -d $(ETCDIR)/before.d ] || mkdir -p $(ETCDIR)/before.d
	[ -d $(ETCDIR)/after.d ] || mkdir -p $(ETCDIR)/after.d
	[ -d $(LOGROTATEDIR)/ ] || mkdir -p $(LOGROTATEDIR)
	cp debian/logrotate $(LOGROTATEDIR)/switchconf
	cp conf $(ETCDIR)
	cp plugins.before/*.sh $(ETCDIR)/before.d/
	cp plugins.after/*.sh $(ETCDIR)/after.d/
	[ -d $(BINDIR) ] || mkdir -p $(BINDIR)
	cp switchconf $(BINDIR)

clean:
	find -name '*~' -exec rm {} \;
