=== debian/changelog ===
switchconf (0.0.2-9) unstable; urgency=low

  * /etc/switchconf/lastcfg is system-generated and violates FHS -
    Moving to /var/lib/misc (thanks to David A. Riggs for pointing
    this out right away - I prepared the upload last night when it was
    time for me to be asleep :-/ )

 -- Gunnar Wolf <gwolf@debian.org>  Sun, 30 May 2004 10:33:41 -0300

switchconf (0.0.2-8) unstable; urgency=low

  * Now creates a /etc/switchconf/lastcfg memory file (Closes: #251659)
  * Noted the right manual page in its header (8, was 1)

 -- Gunnar Wolf <gwolf@debian.org>  Sun, 30 May 2004 00:01:58 -0300

switchconf (0.0.2-7) unstable; urgency=low

  * Check for the existence of /etc/init.d/pcmcia before calling it
    (Closes: #224124)
  * Added a "Suggests: pcmcia-cs" in control

 -- Gunnar Wolf <gwolf@debian.org>  Wed, 17 Dec 2003 21:32:04 -0600

switchconf (0.0.2-6) unstable; urgency=low

  * Further elaborated the description making it useful to discern when
    to use switchcnf from other similar programs (Closes: #209790)
  * Added some more explanation on the manual page

 -- Gunnar Wolf <gwolf@debian.org>  Sun,  2 Nov 2003 23:06:49 -0600

switchconf (0.0.2-5) unstable; urgency=low

  * New maintainer, Gunnar Wolf <gwolf@debian.org>
  * Fixes the description, was too short (Closes: #209790)
  * Bumped standards-version to 3.6.1

 -- Gunnar Wolf <gwolf@debian.org>  Fri, 24 Oct 2003 16:00:16 -0500

switchconf (0.0.2-4) unstable; urgency=low

  * Moved to "admin" section (Closes: #178921)

 -- Sebastien J. Gross <sjg@debian.org>  Wed, 29 Jan 2003 17:47:53 +0100

switchconf (0.0.2-3) unstable; urgency=low

  * Correct manpage lack (closes: #164728) 

 -- Sebastien J. Gross <sjg@debian.org>  Tue, 15 Oct 2002 13:57:55 +0200

switchconf (0.0.2-2) unstable; urgency=low

  * Typo in man page (closes: #162174) 

 -- Sebastien J. Gross <sjg@debian.org>  Thu, 26 Sep 2002 11:28:55 +0200

switchconf (0.0.2-1) unstable; urgency=low

  * Add before and after plugins extentions

 -- Sebastien J. Gross <sjg@debian.org>  Mon, 22 Apr 2002 21:07:43 +0200

switchconf (0.0.1-1) unstable; urgency=low

  * Initial Release (closes: #143209)

 -- Sebastien J. Gross <sjg@debian.org>  Sun, 14 Apr 2002 21:55:24 +0200
