=== debian/control ===
Source: switchconf
Section: admin 
Priority: optional
Maintainer: Gunnar Wolf <gwolf@debian.org>
Build-Depends-Indep: debhelper (>> 3.0.0)
Standards-Version: 3.6.1

Package: switchconf
Architecture: all
Depends: ${shlibs:Depends}
Suggests: pcmcia-cs
Description: Change system configuration to one of many predefined
 Switchconf allows users to easily change their system's settings,
 choosing between the possible configurations for different
 environments. 
 .
 Most switchconf users are laptop owners who want to change their
 network settings according to where they currently are - but there
 are many cases for non mobile systems to desire to choose between
 configuration sets. 
 .
 Switchconf is a very simple script that takes its arguments from the
 command line. It allows you to maintain different sets of
 configurations, installing the desired set of configuration when
 called with its name as an argument, and execute a pre-specified set
 of commands before and after the switch.
