## switchconf 0.0.4

=== Makefile ===
--- 
+++ 
@@ -1,9 +1,15 @@
+#!/usr/bin/make -f
+# -*- makefile -*-
+
+PACKNAME=switchconf
+VER=0.0.4
 BINDIR=$(DESTDIR)/usr/sbin
-ETCDIR=$(DESTDIR)/etc/switchconf
+ETCDIR=$(DESTDIR)/etc/$(PACKNAME)
 MANDIR=$(DESTDIR)/usr/share/man/man8
 LOGROTATEDIR=$(DESTDIR)/etc/logrotate.d
 
 all:
+
 
 install:
 	[ -d $(MANDIR) ] || mkdir -p $(MANDIR)
@@ -21,3 +27,19 @@
 
 clean:
 	find -name '*~' -exec rm {} \; 
+
+# Create the files ready for distribution
+dist:
+	cd .. && tar --exclude='.svn' --exclude='debian' -czvf $(PACKNAME)_$(VER).orig.tar.gz $(PACKNAME)-$(VER)
+
+# Create the deb file
+deb:
+	debuild
+
+packages: deb
+
+# Upload the packages and the distribution files into the rigth places
+upload: packages
+	scp ../$(PACKNAME)*.deb root@ftp.tagus.ist.utl.pt:/var/www/debian/debian-tp/dists/unstable/main/
+
+.PHONY: build clean binary-indep binary-arch binary install configure
