## switchconf 0.0.5.1

=== Makefile ===
#!/usr/bin/make -f
# -*- makefile -*-

PACKNAME=switchconf
VER=0.0.5.1
BINDIR=$(DESTDIR)/usr/sbin
ETCDIR=$(DESTDIR)/etc/$(PACKNAME)
MANDIR=$(DESTDIR)/usr/share/man/man8
LOGROTATEDIR=$(DESTDIR)/etc/logrotate.d

all:


configure:

build:

install:
	[ -d $(MANDIR) ] || mkdir -p $(MANDIR)
	cp $(PACKNAME).8 $(MANDIR)
	[ -d $(ETCDIR) ] || mkdir -p $(ETCDIR)
	[ -d $(ETCDIR)/before.d ] || mkdir -p $(ETCDIR)/before.d
	[ -d $(ETCDIR)/after.d ] || mkdir -p $(ETCDIR)/after.d
	[ -d $(LOGROTATEDIR)/ ] || mkdir -p $(LOGROTATEDIR)
	cp debian/logrotate $(LOGROTATEDIR)/$(PACKNAME)
	cp conf $(ETCDIR)
	cp plugins.before/* $(ETCDIR)/before.d/
	cp plugins.after/* $(ETCDIR)/after.d/
	[ -d $(BINDIR) ] || mkdir -p $(BINDIR)
	cp $(PACKNAME) $(BINDIR)

clean:
	find -name '*~' -exec rm {} \;
	rm -f config-stamp unpack-stamp install-stamp

# Create the files ready for distribution
dist:
	cd .. && tar --exclude='.svn' --exclude='debian' --exclude='*~' -czvf $(PACKNAME)_$(VER).orig.tar.gz $(PACKNAME)

# Create the deb file
deb:
	debuild -i

packages: deb

# Upload the packages and the distribution files into the rigth places
upload: packages
	scp ../$(PACKNAME)*.deb root@ftp.tagus.ist.utl.pt:/var/www/debian/debian-tp/dists/unstable/main/

.PHONY: build clean binary-indep binary-arch binary install configure
