## switchconf 0.0.7

=== Makefile ===
--- 
+++ 
@@ -37,6 +37,10 @@
 	[ -d $(DESTDIR)/$(BINDIR) ] || mkdir -p $(DESTDIR)/$(BINDIR)
 	cp $(PACKNAME) $(DESTDIR)/$(BINDIR)
 
+test:
+	./test1
+	./test2
+
 clean:
 	find -name '*~' -exec rm {} \;
 	#rm -f configure-up-stamp unpack-up-stamp build-up-stamp install-up-stamp
@@ -47,7 +51,7 @@
 
 # Non-native package
 dist:
-	cd .. && tar --exclude='.svn' --exclude='debian' --exclude='tmp' --exclude='*~' -czf $(SOURCENAME)_$(VER).orig.tar.gz $(SOURCENAME)-$(VER)
+	cd .. && tar --exclude='.svn' --exclude='debian' --exclude='tmp' --exclude='*~' -czf $(SOURCENAME)_$(VER).orig.tar.gz $(SOURCENAME)
 
 # Create the files ready for distribution
 # Debian native package
