## switchconf 0.0.9

=== Makefile ===
#!/usr/bin/make -f
# -*- makefile -*-

PACKNAME=switchconf
BINDIR=/usr/sbin
ETCDIR=/etc/$(PACKNAME)
MANDIR=/usr/share/man/man8
LOGROTATEDIR=/etc/logrotate.d
INITDIR=/etc/init.d


all:
	echo $(PACKNAME)


configure:

build:

install:
	[ -d $(DESTDIR)/$(MANDIR) ] || mkdir -p $(DESTDIR)/$(MANDIR)
	cp $(PACKNAME).8 $(DESTDIR)/$(MANDIR)
	[ -d $(DESTDIR)/$(ETCDIR) ] || mkdir -p $(DESTDIR)/$(ETCDIR)
	[ -d $(DESTDIR)/$(ETCDIR)/before.d ] || mkdir -p $(DESTDIR)/$(ETCDIR)/before.d
	[ -d $(DESTDIR)/$(ETCDIR)/after.d ] || mkdir -p $(DESTDIR)/$(ETCDIR)/after.d
	[ -d $(DESTDIR)/$(LOGROTATEDIR)/ ] || mkdir -p $(DESTDIR)/$(LOGROTATEDIR)
	cp logrotate $(DESTDIR)/$(LOGROTATEDIR)/$(PACKNAME)
	cp conf $(DESTDIR)/$(ETCDIR)
	cp plugins.before/* $(DESTDIR)/$(ETCDIR)/before.d/
	cp plugins.after/* $(DESTDIR)/$(ETCDIR)/after.d/
	install -D init.d $(DESTDIR)/$(INITDIR)/$(PACKNAME)
	install -D $(PACKNAME) $(DESTDIR)/$(BINDIR)/$(PACKNAME)

test:
	./test1
	./test2

clean:
	find -name '*~' -exec rm {} \;
	#rm -f configure-up-stamp unpack-up-stamp build-up-stamp install-up-stamp


.PHONY: build clean binary-indep binary-arch binary install configure
