## switchconf 0.0.15

=== Makefile ===
--- 
+++ 
@@ -1,16 +1,35 @@
 #!/usr/bin/make -f
 # -*- makefile -*-
 
-PACKNAME=switchconf
+PACKNAME=$(shell dh_listpackages)
+SOURCENAME=$(shell dpkg-parsechangelog | grep "Source:" | cut -d ' ' -f 2)
+DEBVER=$(shell dpkg-parsechangelog | grep "Version:" | cut -d ' ' -f 2)
+VER=$(shell dpkg-parsechangelog | grep "Version:" | cut -d ' ' -f 2 | cut -f 1 -d -)
+ifeq ($(DEBVER),$(VER))
+NATIVE=1
+else
+NATIVE=0
+endif
+
 BINDIR=/usr/sbin
 ETCDIR=/etc/$(PACKNAME)
 MANDIR=/usr/share/man/man8
 LOGROTATEDIR=/etc/logrotate.d
 INITDIR=/etc/init.d
 
+ifeq ($(NATIVE),0)
+DISTFILE=$(SOURCENAME)_$(VER).orig.tar.xz
+#DISTFILES=$(DISTFILE) $(SOURCENAME)_$(DEBVER).diff.gz
+DISTFILES=$(DISTFILE) $(SOURCENAME)_$(DEBVER).debian.tar.gz
+else
+DISTFILE=$(SOURCENAME)_$(DEBVER).tar.xz
+DISTFILES=$(DISTFILE)
+endif
+
 
 all:
-	echo $(PACKNAME)
+	echo $(VER) $(DEBVER) $(MDIST) $(DIST) $(PACKNAME) $(SOURCENAME) $(NATIVE)
+	echo $(DEB_HOST_GNU_TYPE) $(DEB_BUILD_GNU_TYPE)
 
 
 configure:
@@ -39,5 +58,20 @@
 	find -name '*~' -exec rm {} \;
 	#rm -f configure-up-stamp unpack-up-stamp build-up-stamp install-up-stamp
 
+# Experimental rule to build archive for public distribution
+# Non-native package
+dist-exp: clean
+ifeq ($(NATIVE),0)
+	# Non native package
+	if test -e ../$(DISTFILE) ; then echo "$(DISTFILE) file should be generated only once" ; false ; fi
+	#cp -al ../$(SOURCENAME) ../$(SOURCENAME)-$(VER)
+	cd .. && tar --exclude='.svn' --exclude='debian' --exclude='tmp' --exclude='*~' -cf - $(SOURCENAME) | xz -v9 -c > $(DISTFILE)
+	cd .. && svn add $(DISTFILE)
+else
+	# native package
+	cd .. && tar --exclude='.svn' --exclude='tmp' --exclude='*~' -czf - $(SOURCENAME) | xz -v9 -c > $(DISTFILE)
+	cd .. && svn add $(DISTFILE)
+endif
+
 
 .PHONY: build clean binary-indep binary-arch binary install configure
