=== debian/changelog ===
switchconf (0.0.15-1) unstable; urgency=low

  * New upstream version:
    * Replace 'find -perm +1' by 'find -perm /1', thank you Andreas
      Metzler for the patch and the NMU,  (Closes: #803020).
  * Add systemd service file, thank you Felipe Sateler for reviewing it.
  * Bump standards-version to 3.9.6, no changes needed.
  * New maintainer email address.
  * Fix debian/copyright file.
  * Use debhelper mode 9.

 -- Jose M Calhariz <jose@calhariz.com>  Wed, 30 Dec 2015 14:36:18 +0000

switchconf (0.0.14-1) UNRELEASED; urgency=low

  * Force the use of bash, instead of a POSIX shell.

 -- Jose M Calhariz <jose.calhariz@ist.utl.pt>  Sun, 24 Aug 2014 04:37:04 +0100

switchconf (0.0.13-2) UNRELEASED; urgency=low

  * Add Homepage field pointing to alioth page of the project

 -- Jose M Calhariz <jose.calhariz@ist.utl.pt>  Sun, 02 Mar 2014 18:01:07 +0000

switchconf (0.0.13-1) wheezy; urgency=low

  * New upstream version:
    * Distribution tar is now compressed by xz
  * Change to source format 3.0 (quilt)

 -- Jose M Calhariz <jose.calhariz@ist.utl.pt>  Sun, 02 Mar 2014 15:56:31 +0000

switchconf (0.0.12-1) wheezy; urgency=low

  * Fixed some typos on switchconf

 -- Jose M Calhariz <jose.calhariz@ist.utl.pt>  Sun, 02 Mar 2014 15:39:09 +0000

switchconf (0.0.11-1) wheezy; urgency=low

  * New upstream version:
    * Makefile: add target dist-exp to build distribution files.
    * Add flag -f with the path to the configuration file.
  * Update debian/rules to version 0.24.
  * Update debian/control with new name and email address of Maintainer.
  * Update copyright.

 -- Jose M Calhariz <jose.calhariz@ist.utl.pt>  Sun, 16 Feb 2014 18:04:22 +0000

switchconf (0.0.10-1) UNRELEASED; urgency=low

  * New upstream version:
    * Fix return code on error.
    * Use syslog system to report errors.

 -- Jose M Calhariz <jose.calhariz@ist.utl.pt>  Thu, 16 Jan 2014 20:23:46 +0000

switchconf (0.0.9-2) unstable; urgency=low

  * Fix bashism in a private rule on debian/rules file (Closes: #581451).
  * Add remote_fs to dependency of init.d.
  * Bump standard version to 3.8.4, no changes needed.

 -- Jose Calhariz <jose.calhariz@tagus.ist.utl.pt>  Tue, 01 Jun 2010 20:52:38 +0100

switchconf (0.0.9-1) unstable; urgency=low
  
  * New upstream version:
    * Remove old version of files when using softlinks (Closes: #553427).
    * Use run-parts when available to run scripts (Closes: #563224).
    * Call scripts with the name of next configuration (Closes: #563223).
    * Locking system to prevent a second run before the first finish.
  
  * Updates to the package:
    * Minor updates to debian/rules.
    * Upgrade policy to 3.8.3, after the implementation of a locking system

 -- Jose Calhariz <jose.calhariz@tagus.ist.utl.pt>  Wed, 13 Jan 2010 15:26:00 +0000

switchconf (0.0.8-1) updates; urgency=low

  * move code from Makefile into debian/rules so the Makefile is more
    portable for other Linux distributions than Debian

 -- Jose Calhariz <jose.calhariz@tagus.ist.utl.pt>  Sun, 09 Sep 2007 00:51:19 +0100

switchconf (0.0.7-1) unstable; urgency=low

  * New upstream version:
  
    * fixed a bug that methods copy and hardlink didn't work when target
      file don't exist
  
    * implemented tests to check if switchconf really works

    * updated the copyright to give attribution of my work to my employer.
  
 -- Jose Calhariz <jose.calhariz@tagus.ist.utl.pt>  Thu, 26 Jul 2007 00:06:25 +0100

switchconf (0.0.6-1) unstable; urgency=low

  * New upstream version: 
  
    * added new methods to change configuration files: copy, hardlinks
      (closes: #416094); Eric Lavarde
  
    * added init.d script to allow for boot time configuration switch
      using kernel options (closes: #416095); Eric Lavarde

  * Changes to the build process:
  
    * updated Makefile with better intelligence to detect package names
    * added support for multi-package sources
    * $(DESTDIR) variable should be use in Makefile target install

 -- Jose Calhariz <jose.calhariz@tagus.ist.utl.pt>  Thu, 21 Jun 2007 12:50:25 +0100

switchconf (0.0.5.1-2) UNRELEASED; urgency=low

  * updated to Standards Version 3.7.2
  * use invoke-rc.d to start init.d scripts, if it exist
  * removing martin f. krafft from Uploaders
  
 -- Jose Calhariz <jose.calhariz@tagus.ist.utl.pt>  Fri,  7 Jul 2006 23:02:50 +0100

switchconf (0.0.5.1-1) unstable; urgency=low

  * New upstream version, to fix an error handling orig.tar.gz

 -- Jose Calhariz <jose.calhariz@tagus.ist.utl.pt>  Sun, 18 Dec 2005 23:52:52 +0000

switchconf (0.0.5-2) unstable; urgency=low

  * Updated to Standards Version 3.6.2
  * Updated the address of Free Software Foundation
  * DH_COMPAT is 4 and not 5 because I need to build this in sarge.
  * Removed unneeded comments from rules.
  * Removed dh_installcron and dh_installinfo because are not needed.

 -- Jose Calhariz <jose.calhariz@tagus.ist.utl.pt>  Mon, 12 Dec 2005 23:46:58 +0000

switchconf (0.0.5-1) unstable; urgency=low

  * New upstream version:
  * Abort execution when don't exist configuration file. Closes the bug report
    "switchconf: exit if the configuration is not found" (Closes #332916)
  * Sort the files in /etc/switchconf/{before,after}.d before execution
    (Closes #332918)
  * Corrected the args of find when listing configuration schemes. Closes
    the bug report "find: warning: you have specified the -maxdepth option
    ..." (Closes #332920)
  * rename plugins pcmcia to 20pcmcia, to make easy to control the order
    of running the plugins.

 -- Jose Calhariz <jose.calhariz@tagus.ist.utl.pt>  Tue, 11 Oct 2005 16:57:38 +0100

switchconf (0.0.4-1) unstable; urgency=low

  * New upstream version: updated docs and a more powerfull makefile, no
    new features.
  * Put myself as upstream.

 -- Jose Calhariz <jose.calhariz@tagus.ist.utl.pt>  Wed, 27 Apr 2005 00:35:46 +0100

switchconf (0.0.3-1) unstable; urgency=low

  * New upstream release.
  * Converted to non-native package


