=== debian/control ===
--- 
+++ 
@@ -1,15 +1,16 @@
 Source: switchconf
-Section: admin 
+Section: admin
 Priority: optional
-Maintainer: Gunnar Wolf <gwolf@debian.org>
-Build-Depends-Indep: debhelper (>> 3.0.0)
-Standards-Version: 3.6.1
+Maintainer: Jose M Calhariz <jose@calhariz.com>
+Build-Depends: debhelper (>> 9.0.0),
+               dh-systemd (>= 1.5),
+Standards-Version: 3.9.6
+Homepage: https://alioth.debian.org/projects/switchconf/
 
 Package: switchconf
 Architecture: all
-Depends: ${shlibs:Depends}
-Suggests: pcmcia-cs
-Description: Change system configuration to one of many predefined
+Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base (>= 3.0-6), liblockfile1,
+Description: switch between system configuration sets
  Switchconf allows users to easily change their system's settings,
  choosing between the possible configurations for different
  environments.
