=== debian/changelog ===
switchconf (0.0.16-1) unstable; urgency=medium

  * alioth is dead, long live salsa:
  * Bump Standards-Version to 4.4.0, no changes were made.
  * Set homepage to my blog.
  * Define Vcs-* fields to the new repo on salsa.
  * Update Build-Depends.
  * Clean Makefile and debian/rules from svn commands and others things no
    longer needed for an individual git repo, instead of a mega private
    subversion repo with everything and the kitchen sink.
  * Create targets on Makefile for git tagging policy.
  * Create target on Makefile for development of switchconf and Debian
    packaging.
  * Update author and contact email for 2019.

 -- Jose M Calhariz <calhariz@debian.org>  Sat, 20 Jul 2019 21:43:02 +0100
