=== debian/control ===
--- 
+++ 
@@ -1,11 +1,13 @@
 Source: switchconf
 Section: admin
 Priority: optional
-Maintainer: Jose M Calhariz <jose@calhariz.com>
-Build-Depends: debhelper (>> 9.0.0),
-               dh-systemd (>= 1.5),
-Standards-Version: 3.9.6
-Homepage: https://alioth.debian.org/projects/switchconf/
+Maintainer: Jose M Calhariz <calhariz@debian.org>
+Build-Depends: debhelper (>> 9.20160709),
+Standards-Version: 4.4.0
+Vcs-Browser: https://salsa.debian.org/debian/switchconf
+Vcs-Git: https://salsa.debian.org/debian/switchconf.git
+Homepage: http://blog.calhariz.com
+
 
 Package: switchconf
 Architecture: all
