## switchconf 0.0.17

=== Makefile ===
--- 
+++ 
@@ -48,17 +48,24 @@
 
 #Set on target rules the policy for tags
 tag-release:
+	git diff
 	git tag release/$(VER)
 
 tag-debian:
+	git diff
 	git tag debian/$(DEBVER)
 
 # Experimental rule to build archive for public distribution
 dist: clean
 	if test -e ../$(DISTFILE) ; then echo "$(DISTFILE) file should be generated only once" ; false ; fi
+	git diff
+	sleep 30
 	git checkout release/$(VER) && cd .. && tar --exclude='.svn' --exclude='debian' --exclude='tmp' --exclude='*~' --exclude='.git' -cf - $(SOURCENAME) | xz -v9 -c > $(DISTFILE)
+	gpg --armor --detach-sign  ../switchconf_$(VER).orig.tar.xz
 
 deb:
+	git diff
+	sleep 30
 	git checkout debian/$(DEBVER)
 	debuild -uc -us
 	fakeroot debian/rules clean
