=== debian/changelog ===
switchconf (0.0.17-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * No source change upload to move systemd units into /usr.

 -- Chris Hofstaedtler <zeha@debian.org>  Sat, 25 May 2024 22:18:00 +0200

switchconf (0.0.17-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * No source change upload to rebuild with debhelper 13.10.

 -- Michael Biebl <biebl@debian.org>  Sat, 15 Oct 2022 12:50:04 +0200

switchconf (0.0.17-1) unstable; urgency=medium

  * Define debian/watch file.
  * Bug fix: "Please make another source-only upload to allow testing
    migration", thanks to Boyuan Yang (Closes: #951608).
  * Sign the tar.xz file when generating the distribution file.

 -- Jose M Calhariz <calhariz@debian.org>  Tue, 03 Mar 2020 21:27:06 +0000
