=== debian/rules ===
--- 
+++ 
@@ -32,24 +32,15 @@
 SOURCENAME=$(shell dpkg-parsechangelog | grep "Source:" | cut -d ' ' -f 2)
 DEBVER=$(shell dpkg-parsechangelog | grep "Version:" | cut -d ' ' -f 2)
 VER=$(shell dpkg-parsechangelog | grep "Version:" | cut -d ' ' -f 2 | cut -f 1 -d -)
-ifeq ($(DEBVER),$(VER))
-NATIVE=1
-else
-NATIVE=0
-endif
 MDIST=wheezy
 DIST=$(shell dpkg-parsechangelog | grep "Distribution" | cut -d ' ' -f 2)
 SECTION=main
 CATEG=my_sources
 #CATEG=other_sources
-ifeq ($(NATIVE),0)
 DISTFILE=$(SOURCENAME)_$(VER).orig.tar.xz
 #DISTFILES=$(DISTFILE) $(SOURCENAME)_$(DEBVER).diff.gz
 DISTFILES=$(DISTFILE) $(SOURCENAME)_$(DEBVER).debian.tar.xz
-else
-DISTFILE=$(SOURCENAME)_$(DEBVER).tar.xz
-DISTFILES=$(DISTFILE)
-endif
+
 
 build-arch: build-arch-up-stamp
 build-arch-up-stamp:
@@ -146,31 +137,5 @@
 	make -f ../upload upload
 
 
-# Make tags of the sources as documented by subversion
-tag:
-	cd .. ; svn add $(DISTFILES) ;\
-		echo $(CURDIR)
-	cd .. ; svn add $(SOURCENAME)_$(DEBVER)_*.changes \
-			$(SOURCENAME)_$(DEBVER)_*.build \
-			$(SOURCENAME)_$(DEBVER).dsc
-	cd .. ; svn add *_$(DEBVER)_*.deb
-	cd .. ; svn st ; echo "enter to continue" ; read enter
-	cd .. ; shopt -s nullglob ; svn ci -m "released v$(DEBVER)" \
-		$(DISTFILES) \
-		$(SOURCENAME)_$(DEBVER)_*.changes \
-		$(SOURCENAME)_$(DEBVER)_*.build \
-		$(SOURCENAME)_$(DEBVER).dsc \
-		*_$(DEBVER)_*.deb
-	svn mkdir --parents -m "Preparing tag directory for release v$(DEBVER)" $(shell svn info | grep "Repository Root" | cut -d ' ' -f 3)/tags/src/$(SOURCENAME)/$(SOURCENAME)-$(DEBVER)
-	cd .. ; shopt -s nullglob ; svn copy -m "released v$(DEBVER)" \
-		$(DISTFILES) \
-		$(SOURCENAME)_$(DEBVER)_*.changes \
-		$(SOURCENAME)_$(DEBVER)_*.build \
-		$(SOURCENAME)_$(DEBVER).dsc \
-		*_$(DEBVER)_*.deb \
-		$(shell svn info | grep "Repository Root" | cut -d ' ' -f 3)/tags/src/$(SOURCENAME)/$(SOURCENAME)-$(DEBVER)
-	debchange -i "New release"
-
-
 binary: binary-indep binary-arch
 .PHONY: build clean binary-indep binary-arch binary install configure
